define( ["/bi/v1/ext/PromptValidation/telephone.js", "../PromptValidation/postalCode.js", "../PromptValidation/zipCode.js", "../PromptValidation/email.js"], function( fnTelephoneValidator, fnPostalCodeValidator, fnZipCodeValidator, fnEmailValidator ) {
"use strict";

function PageModule()
{
};

PageModule.prototype.load = function( oPage )
{
	oPage.getControlByName( "txtPhoneNumber" ).setValidator( fnTelephoneValidator );
	oPage.getControlByName( "txtPostalCode" ).setValidator( fnPostalCodeValidator );
	oPage.getControlByName( "txtZipCode" ).setValidator( fnZipCodeValidator );
	oPage.getControlByName( "txtEmail" ).setValidator( fnEmailValidator );
};

return PageModule;
});